com.genesyslab.wfm8.API.service.config850

## Class CfgVirtualActivity

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgVirtualActivity

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgVirtualActivity
      extends java.lang.Object
      implements java.io.Serializable

  Multi-Site Activity information. A multi-site activity consists of several activities from different sites.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when the Object information was obtained
    `protected java.util.List<java.lang.Integer>` | `wmActivities` An array of activity IDs (`CfgActivity` of which the multi-site activity consists
    `protected int` | `wmActivitiesNSizeIs` Number of elements in wmActivities array
    `protected int` | `wmActivitySetId` Activity Set ID `CfgActivitySet` that Activity belongs to.
    `protected java.util.List<CfgActivitySkill>` | `wmActivitySkills` An array of Activity Skills (`CfgActivitySkill`)
    `protected int` | `wmActivitySkillsNSizeIs` Number of elements in wmActivitySkills array
    `protected int` | `wmBUId` Business Unit ID, identifies the `CfgBU` object
    `protected java.util.List<CfgDAConfig>` | `wmDAConfig` A list of Data Aggregator statistics configuration (`CfgDAConfig`)
    `protected int` | `wmDAConfigNSizeIs` Number of elements in wmDAConfig array
    `protected int` | `wmMaxSimultUsers` Maximum Simultanious Users allowed to work on Activity
    `protected int` | `wmMinStaffing` Minimum Staffing
    `protected int` | `wmMinStaffingType` Type of Minimum Staffing `ECfgActivityStaffingType`
    `protected java.lang.String` | `wmName` Name of Multi-Site Activity
    `protected java.util.List<CfgActivityHours>` | `wmOpenHours` An array containing Activity Open Hours (CfgActivityHours) for every day of the week, where array index 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun
    `protected java.lang.String` | `wmShortName` Short Name for the Multi-Site Activity
    `protected int` | `wmType` Activity Type (`ECfgActivityType`)
    `protected int` | `wmVirtualActivityId` Multi-Site Activity ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgVirtualActivity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<java.lang.Integer>` | `getWmActivities()` Gets the value of the wmActivities property.
    `int` | `getWmActivitiesNSizeIs()` Gets the value of the wmActivitiesNSizeIs property.
    `int` | `getWmActivitySetId()` Gets the value of the wmActivitySetId property.
    `java.util.List<CfgActivitySkill>` | `getWmActivitySkills()` Gets the value of the wmActivitySkills property.
    `int` | `getWmActivitySkillsNSizeIs()` Gets the value of the wmActivitySkillsNSizeIs property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `java.util.List<CfgDAConfig>` | `getWmDAConfig()` Gets the value of the wmDAConfig property.
    `int` | `getWmDAConfigNSizeIs()` Gets the value of the wmDAConfigNSizeIs property.
    `int` | `getWmMaxSimultUsers()` Gets the value of the wmMaxSimultUsers property.
    `int` | `getWmMinStaffing()` Gets the value of the wmMinStaffing property.
    `int` | `getWmMinStaffingType()` Gets the value of the wmMinStaffingType property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<CfgActivityHours>` | `getWmOpenHours()` Gets the value of the wmOpenHours property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `getWmVirtualActivityId()` Gets the value of the wmVirtualActivityId property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmActivities(java.util.List<java.lang.Integer> wmActivities)` Sets the value of the wmActivities property.
    `void` | `setWmActivitiesNSizeIs(int value)` Sets the value of the wmActivitiesNSizeIs property.
    `void` | `setWmActivitySetId(int value)` Sets the value of the wmActivitySetId property.
    `void` | `setWmActivitySkills(java.util.List<CfgActivitySkill> wmActivitySkills)` Sets the value of the wmActivitySkills property.
    `void` | `setWmActivitySkillsNSizeIs(int value)` Sets the value of the wmActivitySkillsNSizeIs property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDAConfig(java.util.List<CfgDAConfig> value)` Sets the value of the wmDAConfig property.
    `void` | `setWmDAConfigNSizeIs(int value)` Sets the value of the wmDAConfigNSizeIs property.
    `void` | `setWmMaxSimultUsers(int value)` Sets the value of the wmMaxSimultUsers property.
    `void` | `setWmMinStaffing(int value)` Sets the value of the wmMinStaffing property.
    `void` | `setWmMinStaffingType(int value)` Sets the value of the wmMinStaffingType property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOpenHours(java.util.List<CfgActivityHours> wmOpenHours)` Sets the value of the wmOpenHours property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmVirtualActivityId(int value)` Sets the value of the wmVirtualActivityId property.
    `java.lang.String` | `toString()`
    `CfgVirtualActivity` | `withTimestamp(long value)`
    `CfgVirtualActivity` | `withWmActivities(java.util.Collection<java.lang.Integer> values)`
    `CfgVirtualActivity` | `withWmActivities(java.lang.Integer... values)`
    `CfgVirtualActivity` | `withWmActivitiesNSizeIs(int value)`
    `CfgVirtualActivity` | `withWmActivitySetId(int value)`
    `CfgVirtualActivity` | `withWmActivitySkills(CfgActivitySkill... values)`
    `CfgVirtualActivity` | `withWmActivitySkills(java.util.Collection<CfgActivitySkill> values)`
    `CfgVirtualActivity` | `withWmActivitySkillsNSizeIs(int value)`
    `CfgVirtualActivity` | `withWmBUId(int value)`
    `CfgVirtualActivity` | `withWmDAConfig(CfgDAConfig... values)`
    `CfgVirtualActivity` | `withWmDAConfig(java.util.Collection<CfgDAConfig> values)`
    `CfgVirtualActivity` | `withWmDAConfigNSizeIs(int value)`
    `CfgVirtualActivity` | `withWmMaxSimultUsers(int value)`
    `CfgVirtualActivity` | `withWmMinStaffing(int value)`
    `CfgVirtualActivity` | `withWmMinStaffingType(int value)`
    `CfgVirtualActivity` | `withWmName(java.lang.String value)`
    `CfgVirtualActivity` | `withWmOpenHours(CfgActivityHours... values)`
    `CfgVirtualActivity` | `withWmOpenHours(java.util.Collection<CfgActivityHours> values)`
    `CfgVirtualActivity` | `withWmShortName(java.lang.String value)`
    `CfgVirtualActivity` | `withWmType(int value)`
    `CfgVirtualActivity` | `withWmVirtualActivityId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmVirtualActivityId

          protected int wmVirtualActivityId

      Multi-Site Activity ID

    - #### wmBUId

          protected int wmBUId

      Business Unit ID, identifies the `CfgBU` object

    - #### wmName

          protected java.lang.String wmName

      Name of Multi-Site Activity

    - #### wmShortName

          protected java.lang.String wmShortName

      Short Name for the Multi-Site Activity

    - #### wmType

          protected int wmType

      Activity Type (`ECfgActivityType`)

    - #### wmActivitySetId

          protected int wmActivitySetId

      Activity Set ID `CfgActivitySet` that Activity belongs to. Can be zero, which means that the Activity does not belong to any Activity Set.

    - #### wmMaxSimultUsers

          protected int wmMaxSimultUsers

      Maximum Simultanious Users allowed to work on Activity

    - #### wmMinStaffing

          protected int wmMinStaffing

      Minimum Staffing

    - #### wmMinStaffingType

          protected int wmMinStaffingType

      Type of Minimum Staffing `ECfgActivityStaffingType`

    - #### wmOpenHours

          protected java.util.List<CfgActivityHours> wmOpenHours

      An array containing Activity Open Hours (CfgActivityHours) for every day of the week, where array index 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun

    - #### wmActivitySkillsNSizeIs

          protected int wmActivitySkillsNSizeIs

      Number of elements in wmActivitySkills array

    - #### wmActivitySkills

          protected java.util.List<CfgActivitySkill> wmActivitySkills

      An array of Activity Skills (`CfgActivitySkill`)

    - #### wmActivitiesNSizeIs

          protected int wmActivitiesNSizeIs

      Number of elements in wmActivities array

    - #### wmActivities

          protected java.util.List<java.lang.Integer> wmActivities

      An array of activity IDs (`CfgActivity` of which the multi-site activity consists

    - #### wmDAConfigNSizeIs

          protected int wmDAConfigNSizeIs

      Number of elements in wmDAConfig array

    - #### wmDAConfig

          protected java.util.List<CfgDAConfig> wmDAConfig

      A list of Data Aggregator statistics configuration (`CfgDAConfig`)

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when the Object information was obtained

  - ### Constructor Detail

    - #### CfgVirtualActivity

          public CfgVirtualActivity()

  - ### Method Detail

    - #### getWmVirtualActivityId

          public int getWmVirtualActivityId()

      Gets the value of the wmVirtualActivityId property.

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int value)

      Sets the value of the wmVirtualActivityId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the value of the wmActivitySetId property.

    - #### setWmActivitySetId

          public void setWmActivitySetId(int value)

      Sets the value of the wmActivitySetId property.

    - #### getWmMaxSimultUsers

          public int getWmMaxSimultUsers()

      Gets the value of the wmMaxSimultUsers property.

    - #### setWmMaxSimultUsers

          public void setWmMaxSimultUsers(int value)

      Sets the value of the wmMaxSimultUsers property.

    - #### getWmMinStaffing

          public int getWmMinStaffing()

      Gets the value of the wmMinStaffing property.

    - #### setWmMinStaffing

          public void setWmMinStaffing(int value)

      Sets the value of the wmMinStaffing property.

    - #### getWmMinStaffingType

          public int getWmMinStaffingType()

      Gets the value of the wmMinStaffingType property.

    - #### setWmMinStaffingType

          public void setWmMinStaffingType(int value)

      Sets the value of the wmMinStaffingType property.

    - #### getWmOpenHours

          public java.util.List<CfgActivityHours> getWmOpenHours()

      Gets the value of the wmOpenHours property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmOpenHours property.

      For example, to add a new item, do as follows:

              getWmOpenHours().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivityHours`

    - #### getWmActivitySkillsNSizeIs

          public int getWmActivitySkillsNSizeIs()

      Gets the value of the wmActivitySkillsNSizeIs property.

    - #### setWmActivitySkillsNSizeIs

          public void setWmActivitySkillsNSizeIs(int value)

      Sets the value of the wmActivitySkillsNSizeIs property.

    - #### getWmActivitySkills

          public java.util.List<CfgActivitySkill> getWmActivitySkills()

      Gets the value of the wmActivitySkills property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivitySkills property.

      For example, to add a new item, do as follows:

              getWmActivitySkills().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivitySkill`

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the value of the wmActivitiesNSizeIs property.

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int value)

      Sets the value of the wmActivitiesNSizeIs property.

    - #### getWmActivities

          public java.util.List<java.lang.Integer> getWmActivities()

      Gets the value of the wmActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivities property.

      For example, to add a new item, do as follows:

              getWmActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmDAConfigNSizeIs

          public int getWmDAConfigNSizeIs()

      Gets the value of the wmDAConfigNSizeIs property.

    - #### setWmDAConfigNSizeIs

          public void setWmDAConfigNSizeIs(int value)

      Sets the value of the wmDAConfigNSizeIs property.

    - #### getWmDAConfig

          public java.util.List<CfgDAConfig> getWmDAConfig()

      Gets the value of the wmDAConfig property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmDAConfig property.

      For example, to add a new item, do as follows:

              getWmDAConfig().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgDAConfig`

    - #### setWmDAConfig

          public void setWmDAConfig(java.util.List<CfgDAConfig> value)

      Sets the value of the wmDAConfig property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmVirtualActivityId

          public CfgVirtualActivity withWmVirtualActivityId(int value)

    - #### withWmBUId

          public CfgVirtualActivity withWmBUId(int value)

    - #### withWmName

          public CfgVirtualActivity withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgVirtualActivity withWmShortName(java.lang.String value)

    - #### withWmType

          public CfgVirtualActivity withWmType(int value)

    - #### withWmActivitySetId

          public CfgVirtualActivity withWmActivitySetId(int value)

    - #### withWmMaxSimultUsers

          public CfgVirtualActivity withWmMaxSimultUsers(int value)

    - #### withWmMinStaffing

          public CfgVirtualActivity withWmMinStaffing(int value)

    - #### withWmMinStaffingType

          public CfgVirtualActivity withWmMinStaffingType(int value)

    - #### withWmOpenHours

          public CfgVirtualActivity withWmOpenHours(CfgActivityHours... values)

    - #### withWmOpenHours

          public CfgVirtualActivity withWmOpenHours(java.util.Collection<CfgActivityHours> values)

    - #### withWmActivitySkillsNSizeIs

          public CfgVirtualActivity withWmActivitySkillsNSizeIs(int value)

    - #### withWmActivitySkills

          public CfgVirtualActivity withWmActivitySkills(CfgActivitySkill... values)

    - #### withWmActivitySkills

          public CfgVirtualActivity withWmActivitySkills(java.util.Collection<CfgActivitySkill> values)

    - #### withWmActivitiesNSizeIs

          public CfgVirtualActivity withWmActivitiesNSizeIs(int value)

    - #### withWmActivities

          public CfgVirtualActivity withWmActivities(java.lang.Integer... values)

    - #### withWmActivities

          public CfgVirtualActivity withWmActivities(java.util.Collection<java.lang.Integer> values)

    - #### withWmDAConfigNSizeIs

          public CfgVirtualActivity withWmDAConfigNSizeIs(int value)

    - #### withWmDAConfig

          public CfgVirtualActivity withWmDAConfig(CfgDAConfig... values)

    - #### withWmDAConfig

          public CfgVirtualActivity withWmDAConfig(java.util.Collection<CfgDAConfig> values)

    - #### withTimestamp

          public CfgVirtualActivity withTimestamp(long value)

    - #### setWmOpenHours

          public void setWmOpenHours(java.util.List<CfgActivityHours> wmOpenHours)

      Sets the value of the wmOpenHours property.
      Parameters:
        `wmOpenHours` - allowed object is `CfgActivityHours`

    - #### setWmActivitySkills

          public void setWmActivitySkills(java.util.List<CfgActivitySkill> wmActivitySkills)

      Sets the value of the wmActivitySkills property.
      Parameters:
        `wmActivitySkills` - allowed object is `CfgActivitySkill`

    - #### setWmActivities

          public void setWmActivities(java.util.List<java.lang.Integer> wmActivities)

      Sets the value of the wmActivities property.
      Parameters:
        `wmActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.